﻿namespace StoCombatLogHUD.Parsing
{
	/// <summary>
	/// Represents a name entry within the combatlog.
	/// </summary>
	public class CombatLogNameEntry
	{
		/// <summary>
		/// Gets or sets the display name.
		/// </summary>
		/// <value>
		/// The display name.
		/// </value>
		public string DisplayName { get; set; }

		/// <summary>
		/// Gets or sets the internal name.
		/// </summary>
		/// <value>
		/// The the internal name.
		/// </value>
		public string InternalName { get; set; }
	}
}
