﻿namespace StoCombatLogHUD.Statistics.StatisticsEntries
{
	/// <summary>
	/// Contains a <see cref="TotalValue"/> and a <see cref="ValuePerSecond"/>.
	/// </summary>
	public class StatisticValue
	{
		/// <summary>
		/// Gets or sets the total value.
		/// </summary>
		/// <value>
		/// The total value.
		/// </value>
		public double TotalValue { get; set; }

		/// <summary>
		/// Gets or sets the value per second.
		/// </summary>
		/// <value>
		/// The value per second.
		/// </value>
		public double ValuePerSecond { get; set; }
	}
}
